NewFans API, previously OnlyFans API · A new name. A broader platform.
Fans API
OnlyFansAccount

Update Account

Update a connected OnlyFans account. Send customProxy to route the account through your own proxy server. Send the complete proxy: a username or password you leave out is removed. The new proxy is used for the next requests and no new login is started. To switch back to one of our managed proxies, use the dashboard.

PUT
/api/accounts/{id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

id*string

The ID of the account.

Request Body

application/json

customProxy?

Custom proxy configuration.

Response Body

application/json

curl -X PUT "https://app.fansapi.com/api/accounts/acct_992d030de9f849e59e7eb74cc0c77f12" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "acct_123",
  "onlyfans_id": 123,
  "onlyfans_username": "user",
  "onlyfans_email": "user@example.com",
  "is_authenticated": true,
  "authentication_progress": "signed_in",
  "display_name": "oft",
  "onlyfans_user_data": {
    "id": 123,
    "ip": "127.0.0.1",
    "csrf": "csrf",
    "name": "Name",
    "view": "f",
    "about": "<p>about</p>",
    "email": "user@example.com",
    "wsUrl": "wss://ws2.onlyfans.com/ws3/03",
    "avatar": "https://example.com",
    "header": "https://example.com",
    "isAuth": true,
    "ivFlow": "default",
    "upload": {
      "geoUploadArgs": {
        "preset": "of_beta",
        "isDelay": true,
        "additional": {
          "user": "123"
        },
        "needThumbs": true,
        "preset_png": "of_png",
        "protected_preset": "of_drm"
      }
    },
    "canChat": true,
    "hasTags": false,
    "website": null,
    "advBlock": [
      "subscribe_offers"
    ],
    "ivStatus": "approved",
    "joinDate": "2025-04-05T00:00:00+00:00",
    "lastSeen": "2025-05-16T10:09:48+00:00",
    "location": null,
    "paidFeed": false,
    "username": "user",
    "wishlist": null,
    "hasLabels": false,
    "ivCountry": "US",
    "canAddCard": true,
    "canPinPost": true,
    "creditsMax": 200,
    "creditsMin": 10,
    "headerSize": {
      "width": 2126,
      "height": 1535
    },
    "isVerified": false,
    "postsCount": 0,
    "audiosCount": 0,
    "hasNewHints": true,
    "hasScenario": true,
    "isPerformer": false,
    "mediasCount": 0,
    "photosCount": 0,
    "videosCount": 0,
    "wsAuthToken": "wsAuthToken",
    "avatarThumbs": {
      "c50": "https://example.com",
      "c144": "https://example.com"
    },
    "canLookStory": true,
    "hasNewAlerts": false,
    "headerThumbs": {
      "w480": "https://example.com",
      "w760": "https://example.com"
    },
    "isOtpEnabled": true,
    "ivFailReason": null,
    "newTagsCount": 0,
    "creditBalance": 0,
    "faceIdRegular": [],
    "isAgeVerified": false,
    "isAllowTweets": false,
    "isMakePayment": false,
    "needIVApprove": false,
    "watermarkText": "OnlyFans.com/user",
    "canCreateLists": true,
    "canPayInternal": true,
    "favoritedCount": 0,
    "favoritesCount": 0,
    "hasPinnedPosts": false,
    "isEmailChecked": true,
    "isWantComments": true,
    "canCommentStory": true,
    "countPinnedChat": 0,
    "isEmailRequired": false,
    "isPaywallPassed": true,
    "isRealPerformer": false,
    "isVisibleOnline": true,
    "showPostsInFeed": true,
    "subscribesCount": 123,
    "twitterUsername": "user",
    "canSendChatToAll": false,
    "isCreditsEnabled": true,
    "pinnedPostsCount": 0,
    "subscribersCount": 123,
    "chatMessagesCount": 123,
    "countPriorityChat": 123,
    "hasNotViewedStory": false,
    "hasPurchasedPosts": false,
    "hasWatermarkPhoto": true,
    "hasWatermarkVideo": true,
    "isDeleteInitiated": false,
    "isReferrerAllowed": false,
    "watermarkPosition": "bottom_right",
    "archivedPostsCount": 0,
    "isSpotifyConnected": false,
    "isTwitterConnected": false,
    "notificationsCount": 123,
    "walletFirstRebills": false,
    "canConnectOfAccount": true,
    "connectedOfAccounts": [],
    "hasInternalPayments": false,
    "hasNewTicketReplies": {
      "open": false,
      "closed": false,
      "solved": false
    },
    "isRealCardConnected": true,
    "maxPinnedPostsCount": 5,
    "isWalletAutorecharge": false,
    "canReceiveChatMessage": false,
    "walletAutorechargeMin": 0,
    "hasSystemNotifications": false,
    "isLegalApprovedAllowed": true,
    "isPaymentCardConnected": true,
    "ageVerificationRequired": false,
    "payoutLegalApproveState": "rejected",
    "walletAutorechargeAmount": 0,
    "canAlternativeWalletTopUp": false,
    "enabledImageEditorForChat": true,
    "privateArchivedPostsCount": 0,
    "isMarkdownDisabledForAbout": true,
    "avatarHeaderConverterUpload": true,
    "hasNewChangedPriceSubscriptions": false
  }
}